* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Inter", sans-serif;
}

html {
  scroll-behavior: smooth;
}

:root {
  --primaria: #4f46e5;
  --secundaria: #7c3aed;
  --escuro: #0a0f1c;
  --claro: #e2e8f0;
  --laranja: #ff9f18;
  --vidro: rgba(255, 255, 255, 0.1);
}

body {
  background-color: #e2e8f0;
  color: black;
  line-height: 1.6;
}

body.modo-noturno {
  background-color: var(--escuro);
  color: var(--claro);
}

.navegacao {
  position: fixed;
  background-color: var(--primaria);
  display: flex;
  margin: 0;
  padding: 1rem;
  width: 100%;
  height: 80px;
  z-index: 100;
  justify-content: center;
  align-items: center;
}

body.modo-noturno .navegacao {
  background: rgb(15, 23, 42, 0.8);
}

.engajar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 50px;
  padding: 10px;
}

.engajar a {
  display: flex;
  text-decoration: none;
  align-items: center;
  gap: 8px;

  padding: 5px 10px;
  border-radius: 50px;
  border: 2px solid var(--claro);
  color: var(--claro);
}

.engajar a:hover {
  color: var(--laranja);
}

.link-git {
  width: 25px;
  height: 25px;
}

.container-botao {
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: space-between;
  padding: 5px 20px;
  border: 2px solid var(--claro);
  border-radius: 50px;
}

.divisor-vertical {
  width: 1px;
  height: 20px;
  background-color: var(--claro);
}

.container-botao img {
  width: 25px;
  height: 25px;
}

#ativo {
  display: none;
}

.switch {
  position: relative;
  background-color: whitesmoke;
  width: 70px;
  height: 28px;
  border-radius: 50px;
  display: flex;
  align-items: center;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
}

.slider-img {
  position: absolute;
  background-image: url("../img/sol.png");
  background-repeat: no-repeat;
  background-position: center;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  padding: 5px;
  transform: translate(-8px);
  transition: all 0.5s ease-in-out;
}

#ativo:checked ~ .switch {
  background: linear-gradient(
    90deg,
    var(--primaria),
    var(--secundaria),
    var(--primaria)
  );
}

#ativo:checked ~ .switch .slider-img {
  transform: translateX(30px);
  background-image: url("../img/lua.png");
}

.menu {
  display: flex;
  list-style: none;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  gap: 1rem;
  padding: 1rem;
  margin: 0;
}

.bt-voltar {
  width: 40px;
  height: 40px;
}

.projeto {
  padding: 8rem 8rem;
  display: flex;
  flex-direction: column;
}

.titulo {
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
  color: var(--primaria);
  font-size: 1.8rem;
  margin-top: 20px;
}

.imagem {
  width: 100%;
  max-width: 100%;
  height: auto;
  border-radius: 20px;
}

.card-carrossel {
  padding: 2rem 4rem;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
  background-color: white;
  border-radius: 16px;
  gap: 20px;
  align-items: center;
  justify-content: center;
  display: flex;
}

body.modo-noturno .card-carrossel {
  border: 1px solid var(--vidro);
  background-color: var(--escuro);
  border: 1px solid var(--vidro);
  box-shadow: 0px 0px 20px rgba(79, 70, 229, 0.3);
}

.carousel-caption {
  background-color: none;
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;
  padding: 1rem;
  color: white;
  left: 0;
  right: 0;
  bottom: 0;
  top: auto;
  width: 100%;
  text-align: center;
  text-transform: uppercase;
}

.d-block {
  border-radius: 30px;
  max-height: 600px;
}

body.modo-noturno .d-block {
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(5px);
  border: 1px solid var(--vidro);
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  width: 4rem;
  height: 4rem;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  filter: none !important;
  background-color: transparent !important;
}

.carousel-control-prev-icon {
  background-image: url("../img/prev.png");
}

.carousel-control-next-icon {
  background-image: url("../img/next.png");
}

.paragrafo-projeto {
  text-indent: 2rem;
  font-size: 1.2rem;
  line-height: 1.8;
  color: #333;
  text-align: justify;
  margin: 0;
}

body.modo-noturno .paragrafo-projeto {
  color: var(--claro);
}

.subtitulo-projeto {
  color: var(--primaria);
  font-weight: bold;
  text-transform: uppercase;
  margin-top: 30px;
  text-indent: 20px;
  font-size: 1.5rem;
}

.lista {
  display: flex;
  flex-direction: column;
  padding: 2rem 2rem;
  font-size: 1.2rem;
  color: #555;
  font-weight: 600;
  background-color: white;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
  border-radius: 16px;
  gap: 20px;
}

.lista li::marker {
  color: #4f4;
}

body.modo-noturno .lista {
  border: 1px solid var(--vidro);
  background-color: var(--escuro);
  border: 1px solid var(--vidro);
  box-shadow: 0px 0px 20px rgba(79, 70, 229, 0.3);
  color: var(--claro);
}

.lista-tec {
  display: flex;
  justify-content: space-around;
  align-items: center;
  list-style: none;
  padding: 4rem 2rem;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
  background-color: white;
  border-radius: 16px;
}

body.modo-noturno .lista-tec {
  border: 1px solid var(--vidro);
  background-color: var(--escuro);
  border: 1px solid var(--vidro);
  box-shadow: 0px 0px 20px rgba(79, 70, 229, 0.3);
}

.lista-tec li {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
  color: #555;
  font-size: 1.5rem;
  font-weight: 600;
}

body.modo-noturno .lista-tec li {
  color: var(--claro);
}

.lista-tec img {
  width: 100px;
  height: auto;
}

.card-video {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  max-width: 600px;
}

.card-video video {
  width: 100%;
  background-color: white;
  border-radius: 16px;
  padding: 10px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}

body.modo-noturno .card-video video {
  background: rgba(255, 255, 255, 0.05);
  backdrop-filter: blur(5px);
  border: 1px solid var(--vidro);
}

.area-video {
  display: flex;
  flex-wrap: wrap;
  max-width: 1420px;
  justify-content: space-between;
  align-items: center;
  padding: 2rem 0rem;
  gap: 20px;
}

.copyright {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  background-color: var(--primaria);
  padding: 20px;
}

.paragrafo-copyright {
  display: flex;
  margin: 0;
  text-align: center;

  color: var(--claro);
  font-size: 1rem;
}

@media (max-width: 1480px) {
  .projeto {
    padding: 8rem 8rem;
  }

  .card-carrossel {
    padding: 2rem 2rem;
  }

  .card-video {
    max-width: 1200px;
  }
}

@media (max-width: 1280px) {
  .projeto {
    padding: 8rem 4rem;
  }

  .card-carrossel {
    padding: 2rem 3rem;
  }

  .card-video {
    max-width: 1200px;
  }
}

@media (max-width: 1024px) {
  .projeto {
    padding: 6rem 3rem;
  }

  .card-carrossel {
    padding: 2rem 2rem;
  }

  .card-video {
    max-width: 1000px;
  }
}

@media (max-width: 768px) {
  .navegacao {
    margin: 0;
    padding: 1rem;
    justify-content: center;
    align-items: center;
  }

  .menu {
    display: flex;
    list-style: none;
    justify-content: space-between;
    align-items: center;
    gap: 0;
    padding: 0;
    margin: 0;
  }

  .engajar {
    padding: 5px;
    width: 100%;
  }

  .projeto {
    padding: 6rem 2rem;
  }

  .card-carrossel {
    padding: 2rem 2rem;
  }

  .lista-tec {
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
  }

  .area-video {
    justify-content: center;
  }

  .card-video {
    max-width: 700px;
  }
}

@media (max-width: 480px) {
  * {
    transition: all 0.2s ease-in-out;
  }

  .navegacao {
    padding: 0.8rem;
    flex-direction: column;
    justify-content: center;
    height: auto;
    gap: 8px;
  }

  .menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  .projeto {
    padding: 6rem 1rem 3rem;
  }

  .card-carrossel {
    padding: 1.5rem 0.75rem;
  }

  .bt-voltar {
    width: 30px;
    height: 30px;
  }

  .d-block {
    border-radius: 10px;
    max-height: 600px;
  }

  .engajar {
    width: 100%;
    gap: 6px;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  .link-git,
  .container-botao img {
    width: 25px;
    height: 25px;
  }

  .engajar a,
  .container-botao {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
    padding: 4px 8px;
    border-radius: 40px;
    font-size: 0.75rem;
  }

  .titulo {
    font-size: 1.4rem;
  }

  .subtitulo-projeto {
    font-size: 1.1rem;
    text-align: center;
    text-indent: 0;
  }

  .paragrafo-projeto {
    text-indent: 1rem;
    font-size: 0.9rem;
    line-height: 1.5;
  }

  .lista-tec {
    flex-wrap: wrap;
    align-items: center;
    gap: 2rem;
  }

  .lista-tec li {
    width: 70px;
    font-size: 0.9rem;
  }

  .lista {
    font-size: 1rem;
    gap: 10px;
  }

  .imagem,
  .card-video video {
    border-radius: 10px;
  }

  .copyright {
    padding: 10px;
  }

  .paragrafo-copyright {
    font-size: 1rem;
  }
}
